Subject: Re: [PATCH v3 1/8] MyFirstContribution: mention contrib/contacts/git-contacts

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Apr 2024 16:02:58 -0700

Linus Arver <[email-masked]> writes:

>> +NOTE: If you're not sure who to CC, use `contrib/contacts/git-contacts` to get a
>> +list of reviewers you should include in the CC list. In addition, you can do
>
> I just realized that I could also do s/should/could here, but I assume
> you'd prefer to modify in-place instead of me rerolling for a v4 just
> for this change. Thanks.

We do not even know if there are other things people find issues
with in this iteration, so it is a bit too early to say that.  In a
case like this, if you do not feel so strongly about it (which I am
guessing from your "I could also") either way, staying mum would
probably be the best.  If you feel more strongly than that, saying
"I plan to update 'should' -> 'could' if I end up doing v4" right
now would be fine.  Then when there are other things you'd need to
update after waiting for others' input, you could keep that promise.
If there are no other things you'd want to update after waiting,
that would be the good time to say "Here is a fixup! commit; squash
into topic X. There is no other changes".

For now, I inserted this extra commit between [1/8] and [2/8].
Thanks.

diff --git a/Documentation/MyFirstContribution.txt b/Documentation/MyFirstContribution.txt
index 00f4c63cb9..bb7e4174e8 100644
--- a/Documentation/MyFirstContribution.txt
+++ b/Documentation/MyFirstContribution.txt
@@ -1116,8 +1116,8 @@ $ git send-email --to=[email-masked] psuh/*.patch
 NOTE: Check `git help send-email` for some other options which you may find
 valuable, such as changing the Reply-to address or adding more CC and BCC lines.
 
-NOTE: If you're not sure who to CC, use `contrib/contacts/git-contacts` to get a
-list of reviewers you should include in the CC list. In addition, you can do
+NOTE: If you're not sure whom to CC, running `contrib/contacts/git-contacts`
+can list potential reviewers to put on the CC list. In addition, you can do
 `git send-email --cc-cmd='git contacts' feature/*.patch` to automatically pass
 this list of emails to `send-email`.